{
  inputs,
  config,
  pkgs,
  myhostname,
  ...
}:
let
  theme = "mocha";
in
{
  imports = [
    ./hardware-configuration.nix

    ../../moduler/base.nix

    ../../moduler/users.nix
    ../../moduler/git.nix
    ../../moduler/network.nix
    ../../moduler/programs.nix
    ../../moduler/system.nix
    ../../moduler/dev.nix
    ../../moduler/hyprland.nix
    ../../moduler/sound.nix
    ../../moduler/programs/kubernetes-tools.nix
    ../../moduler/programs/confetti
  ];

  kubernetes-tools.enable = true;
  networking.hostName = myhostname;

  stylix = {
    enable = true;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/catppuccin-${theme}.yaml";
  };

  hyprland = {
    enable = true;
    theme = theme;
  };

  home-manager.extraSpecialArgs = { inherit inputs pkgs; };
  home-manager.users.fw = {
    imports = [
      ./../../moduler/home.nix
      ./../../moduler/programs/waybar
      inputs.catppuccin.homeModules.catppuccin
    ];
    waybar = {
      enable = true;
      configPath = ./../../moduler/programs/waybar/waybar.jsonc;
      stylePath = ./../../moduler/programs/waybar/waybar-${theme}.css;
    };
    gtk = {
      enable = true;
      iconTheme = {
        name = "oomox-gruvbox-dark";
        package = pkgs.gruvbox-dark-icons-gtk;
      };
    };
    kitty = {
      enable = true;
      theme = theme;
    };
    fish = {
      theme = theme;
    };
    k9s = {
      enable = true;
      theme = theme;
    };
    oh-my-posh = {
      enable = true;
      theme = theme;
    };
    catppuccin = {
      librewolf = {
        enable = true;
        flavor = theme;
        accent = "peach";
      };
    };
    stylix.targets = {
      lazygit.enable = false;
      fish.enable = false;
      kitty.enable = false;
      waybar.enable = false;
      tmux.enable = false;
      k9s.enable = false;
    };
  };

  boot.kernelPackages = pkgs.linuxPackages_latest;

  system.stateVersion = "25.05";
}
